Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236786 - dirty data is not flushed on a timely manner
Summary: dirty data is not flushed on a timely manner
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Eric Sandeen
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 241784
TreeView+ depends on / blocked
 
Reported: 2007-04-17 17:12 UTC by Alex Lyashkov
Modified: 2018-10-19 23:36 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-15 16:25:13 UTC


Attachments (Terms of Use)
correct nr_unused accounting (deleted)
2007-05-24 16:11 UTC, Bryn M. Reeves
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0791 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 6 2007-11-14 18:25:55 UTC

Description Alex Lyashkov 2007-04-17 17:12:59 UTC
I enountered situation where dirty data is not flused on a timely manner       
(i.e. never) with RHEL4 kernel, I did some in vestigations and it turned out
that inodes_stat.nr_unused grow uncontrollably and this presents kupdated to
flush any dirty data because nr_to_write it calculates as:

nr_to_write = wbs.nr_dirty + wbs.nr_unstable + (inodes_stat.nr_inodes -
inodes_stat.nr_unused)
became negative.

I have found this problem is already fixed in vanilla kernel, here is the
pointer to patch:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=7f04c26d715a2467a49a2384268de8f70f787b51;hp=52303e8b5f8aa234865d40d76ea16b0ff4b27022

Can you please include this in your next kernel update?

Comment 2 RHEL Product and Program Management 2007-05-09 04:47:18 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Eric Sandeen 2007-05-23 16:33:04 UTC
Just for my own notes, the change in question is already in the RHEL5 kernel.

Comment 5 Bryn M. Reeves 2007-05-24 16:11:49 UTC
Created attachment 155360 [details]
correct nr_unused accounting

Comment 7 RHEL Product and Program Management 2007-05-25 15:42:06 UTC
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.

Comment 9 Jason Baron 2007-06-08 18:14:08 UTC
committed in stream U6 build 55.7. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 12 errata-xmlrpc 2007-11-15 16:25:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html



Note You need to log in before you can comment on or make changes to this bug.